Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class InstanceType

    java.lang.Object
      com.compoze.domino.InstanceType

All Implemented Interfaces:
  java.io.Serializable

public class InstanceType
extends java.lang.Object
implements java.io.Serializable

This class represents repeating entity instance types.

See Also:
  Serialized Form

Field Summary
`static InstanceType` | `CHILD` This value represents the 'child' instance type.
`static InstanceType` | `PARENT` This value represents the 'parent' instance type.
`static InstanceType` | `SINGLE` This value represents the 'single' instance type.
`static int` | `VALUE_CHILD` This value represents the 'child' value.
`static int` | `VALUE_PARENT` This value represents the 'parent' value.
`static int` | `VALUE_SINGLE` This value represents the 'single' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static java.util.List` | `getList()` Gets the list of instance types.
`int` | `getValue()` Gets the enumeration value of the instance type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_SINGLE

    public static final int VALUE_SINGLE

  This value represents the 'single' value.

  See Also:
    Constant Field Values

### VALUE_CHILD

    public static final int VALUE_CHILD

  This value represents the 'child' value.

  See Also:
    Constant Field Values

### VALUE_PARENT

    public static final int VALUE_PARENT

  This value represents the 'parent' value.

  See Also:
    Constant Field Values

### SINGLE

    public static final InstanceType SINGLE

  This value represents the 'single' instance type.

### CHILD

    public static final InstanceType CHILD

  This value represents the 'child' instance type.

### PARENT

    public static final InstanceType PARENT

  This value represents the 'parent' instance type.

Method Detail

### getValue

    public int getValue()

  Gets the enumeration value of the instance type. This value is unique within the `InstanceType` class.

  Returns:
    the enumeration value of the instance type (see `VALUE_` constants)

### getList

    public static java.util.List getList()

  Gets the list of instance types.

  Returns:
    the list of `InstanceType`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. An object is considered equal if the type string matches (case insensitive).

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same type string as the argument; `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.